package edu.cmu.paid.database.storage; 

import java.io.*;
import java.util.*;

public class TestSubsystemStorage {
	public static void main(String argv[]) {
		byte [] key = new byte[1];
		byte [] blob = new byte[1];
		byte [] get_blob;
		SubsystemStorage storage = SubsystemStorageManager.getSubsystemStorage(SubsystemStorageManager.GENERIC_STORAGE_NAME);
		try {
		    if(argv.length == 1) {
			blob = storage.getBLOB(argv[0].getBytes());
			System.out.println(new String(blob));
		    } else if(argv.length == 2) {
			if(argv[1].equals("null")) {
			    storage.setBLOB(argv[0].getBytes(), null);
			} else {
			    storage.setBLOB(argv[0].getBytes(), argv[1].getBytes());
			}
		    } else {
			for(int i = 'a'; i <= 'z'; i++) {
			    key[0] = (byte) i;
			    blob[0] = (byte) i;
			    storage.setBLOB(key, blob);
			    blob = storage.getBLOB(key);
				//System.out.println((char) i + " " + (blob == null));
			}
		    }
		}
		catch(SubsystemStorageException exp) {System.out.println(exp);}
	}
}
